Bug 9393 - Enhancement Requests
Enhancement Requests
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Fulbright
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-02-13 02:44 EST by Stuart Blake Tener
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-02 12:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stuart Blake Tener 2000-02-13 02:44:06 EST
Dear Sir or Madam:

I. General Distribution Issues

Predicated upon the fact that RedHat has and will continue to publish (via
its website) both new boot disks (due to certain bugs which make it not
possible to boot from cdrom in certain circumstances) and update images
(also floppys);

and, RedHat does from time to time release updates and enhancements to the
operating system via update RPMs also on its website;

and in my case there are manufactuer specific RPMs I would like to have
automatically installed with my distribution (for Dell, Toshiba, etc.);

it would be quite convenient for people like myself (a contract Unix
system administrator) to be able to create a "customized distribution"
boot disc with all the updates and such on it so floppys, and additional
cdroms would not be necessary to house the updates.

Could RedHat publish instructions on how to accomplish this?

Could RedHat publish an "all inclusive RPM" of all update RPMs included in
one file? I.E. download this RPM, install it, and it will install all the
updates currently individually distributed in the update directory.

Perhaps RPM software could be modified to also allow the person to be
queried as to "install this upgrade?" "this one"? "that one?", etc. But
only having to download one update RPM. This also would be helpful when I
need to get all the updates onto a site which has a high speed connection.

Is there a GUI based software which can be used to create RPMs as opposed
to just installing them?


II. Installation issues continued


III. Operational enhancements


     One of the more nasty habbits that Linuxconf has is that there is no
way to hit (for example the escape key), and back out of each menue as it
is opened when you click on something on the left side.

     As well when you open linuxconf, and set the window to the size and
configuration you like, there is no way for linuxconf to remember that
upon exit.

     LinuxConf also needs to get a face lift in terms of its menue design.
Trying to navigate the massive menue is nuts. What needs to be done is to
create a menue system not unlike that aiken to either SMIT (of AIX) or the
HP-UX based admin utility.

B. Installation Script (non graphic version)

There seems to be a few places in this script where it is impossible to go
back somewhere near the first few screens, there is no "back" key if you
choose the wrong option.

I do hope this is used to help improve the RH distribution of linux.
Comment 1 Jay Turner 2000-02-23 13:00:59 EST
Issues have been added to a feature-requests list.
Comment 2 Michael Fulbright 2000-09-26 12:09:29 EDT
Comment 3 Michael Fulbright 2000-09-26 12:55:12 EDT

Note You need to log in before you can comment on or make changes to this bug.